import globals from "globals";
import tseslint from "typescript-eslint";


export default [
  {
    files: ["**/*.{ts}"],
    plugins: ['@typescript-eslint/eslint-plugin', 'eslint-plugin-tsdoc'],
    parser: '@typescript-eslint/parser',
    parserOptions: {
      project: './tsconfig.json',
      tsconfigRootDir: __dirname,
      ecmaVersion: 'ES6',
      sourceType: 'module'
    },
    rules: {
      'tsdoc/syntax': 'warn'
    },
    languageOptions: {
      globals: globals.browser
    }
  },
  ...tseslint.configs.recommended,
];
